## Description
Matrix Room: [#snowstorm-matrix:imninja.net](https://matrix.to/#/#snowstorm-matrix:imninja.net)

This bot will send news about Blizzard games to Matrix room they got invited to.  

Information about which URLs already got posted is also saved into the admin room via state events.

## Public Instances
These bots are publicly hosted. Just invite them to a room and they should start doing their job.  
Just kick them, when you don't want to receive updates anymore.

[Heroes of the Storm](https://matrix.to/#/@snowstorm_heroesofthestorm:imninja.net)  
[Inside Blizzard](https://matrix.to/#/@snowstorm_insideblizzard:imninja.net)  
[Overwatch](https://matrix.to/#/@snowstorm_overwatch:imninja.net)  
[World of Warcraft](https://matrix.to/#/@snowstorm_worldofwarcraft:imninja.net)  

## Configuration
First create all users you want to use. All usernames must be `MXID_PREFIX+<game>` (e.g. `snowstorm_worldofwarcraft`). `MXID_PREFIX` is by default `snowstorm_`

Next you have to create a new room you can use as admin room. You have to specify the room id of that room later. Invite all bot users to that room.  
Additionally you have to allow every user to post to the cache state:
```json
"de.lubiland.de.snowstorm-matrix.cache": 0
```

Additional bot users can be added via register -> invite to admin room -> access token file.

## Running it
After initial configuration you can run it manually:
```bash
docker run --rm \
    -v $(pwd)/heroesofthestorm:/heroesofthestorm:ro \
    -e HOMESERVER=https://example.org
    -e MIXD=@heeeroooooooes:example.org
    -e ACCESSTOKEN_FILE=/heroesofthestorm \
    -e ADMIN_ROOM='!iesofojasief90429ewiofj:example.org' \
    -e CATEGORY=heroesofthestorm
    snowstorm-matrix
```

Or via docker-compose/swarm:
```yaml
    snowstorm-matrix:
        image: snowstorm-matrix
        deploy:
            replicas: 1
        secrets:
            - snowstorm-matrix_worldofwarcraft
        environment:
            - HOMESERVER=http://synapse:8008
            - ACCESSTOKEN_FILE=/run/secrets/snowstorm-matrix_worldofwarcraft
            - MXID=@forthehorde:example.com
            - ADMIN_ROOM=!jjpPluoxZoAOBQeYer:example.org
            - CATEGORY=worldofwarcraft
```
